<section *ngIf="dataLoaded"  class="row d-flex justify-content-between align-items-center">
  <div class=" max-content p-2">
    <div role="status" aria-live="polite" *ngIf="recordsTotal > 0; else warning">
      Mostrando {{recordCurrent}} - {{recordTo}} de {{recordsTotal}}
    </div>
    <ng-template #warning>
      <div role="status" aria-live="polite" *ngIf="recordsTotal === 0">
        No hay registros
      </div>
    </ng-template>
  </div>
  <div class="max-content">
    <nav aria-label="pagination" class="max-content">
      <ul class="pagination justify-content-end">
        <li class="page-item" [ngClass]="{'disabled' : pageCurrent <= 1, 'cursor-pointer': pageCurrent > 1}" (click)="emitChangePage(1)">
          <span class="page-link"><<</span>
        </li>
        <li class="page-item" [ngClass]="{'disabled' : pageCurrent <= 1, 'cursor-pointer': pageCurrent > 1}" (click)="emitChangePage(pageCurrent - 1)">
          <span class="page-link"><</span>
        </li>
        <li class="page-item cursor-pointer" [ngClass]="{'active': page === pageCurrent}" *ngFor="let page of pages">
          <span class="page-link" (click)="emitChangePage(page)">
            {{page}}
          </span>
        </li>
        <li class="page-item" [ngClass]="{'disabled' : pageCurrent >= pageLast, 'cursor-pointer': pageCurrent < pageLast}" (click)="emitChangePage(pageCurrent + 1)">
          <span class="page-link">></span>
        </li>
        <li class="page-item" [ngClass]="{'disabled' : pageCurrent >= pageLast, 'cursor-pointer': pageCurrent < pageLast}" (click)="emitChangePage(pageLast)">
          <span class="page-link">>></span>
        </li>
      </ul>
    </nav>
  </div>
</section>
